use mimalloc::MiMalloc;

#[global_allocator]
static GLOBAL: MiMalloc = MiMalloc;

#[tokio::main]
async fn main() {
    // 初始化日志、数据库连接池、内存缓存；初始化顺序不可变更
    let (_std_guard, _file_guard) = library::core::logger::init_log();
    library::core::db::init_database().await;
    library::cache::inner_cache::init_cache().await;

    server::serve().await;
}
